## org.eclipse.wst.wsdl.binding.http
Interface HTTPBinding

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, javax.wsdl.extensions.http.HTTPBinding, java.io.Serializable, WSDLElement

    public interface HTTPBinding

extends ExtensibilityElement, javax.wsdl.extensions.http.HTTPBinding

A representation of the model object 'Binding'.

The following features are supported:

- `Verb`

See Also:
  `HTTPPackage.getHTTPBinding()`

Method Summary
`java.lang.String` `getVerb()` Returns the value of the 'Verb' attribute
`void` `setVerb(java.lang.String value)` Sets the value of the '`Verb`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getVerb

    java.lang.String getVerb()

  Returns the value of the 'Verb' attribute.

  If the meaning of the 'Verb' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getVerb` in interface `javax.wsdl.extensions.http.HTTPBinding`
  Returns:
    the value of the 'Verb' attribute.
  See Also:
    `setVerb(String)`, `HTTPPackage.getHTTPBinding_Verb()`

### setVerb

    void setVerb(java.lang.String value)

  Sets the value of the '`Verb`' attribute.

  Specified by:
    `setVerb` in interface `javax.wsdl.extensions.http.HTTPBinding`
  Parameters:
    `value` - the new value of the 'Verb' attribute.
  See Also:
    `getVerb()`